
import accountChooser from 'app/account/components/accountChooser/index.jsx';

export default function pageAccountAdd(){


  //parent account
  accountChooser({
    $s:$('#parent_id')
  })


  function changeZone(countryId, $zone){
    $.get(g.urlGtZoneList, {id: countryId}, function(data){
      $zone.find('.i').remove();
      data.map(function(item, i){
        var html = '<option value="'+item.id+'" class="i">'+item.name+'('+ item.code +')</option>';
        $zone.append(html);
      });
      var defaultVal = $zone.data('default_value');
      if(typeof defaultVal !='undefined' && defaultVal!=''){
        $zone.val(defaultVal);
      }
    })
  }

  $('select[data-default_value]').each(function(i, n){
    var $s = $(n);
    var val = $s.data('default_value');
    if(val=='') return;
    $s.val(val);

    if(typeof $s.data('zone') != 'undefined'){
      changeZone($s.val(), $($s.data('zone')));
    }
    
  });
  $('select[data-default_value]').on('change', function(e){
    var $s = $(this);
    var val = $s.data('default_value');
    if(val=='') return;
    if(typeof $s.data('zone') != 'undefined'){
      changeZone($s.val(), $($s.data('zone')));
    }
  })
}